Package ghidra.app.util.bin.format.dwarf

# Class DwarfSectionNames

java.lang.Object
ghidra.app.util.bin.format.dwarf.DwarfSectionNames

public final class DwarfSectionNames extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DwarfSectionNames(Program program)`
  Creates a new Dwarf Section Names for the specific program.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `SECTION_NAME_ABBREV()`
  Holds tag, attribute names, and attribute forms encodings
  `String`
  `SECTION_NAME_ARANGES()`
  A mapping between memory address and compilation
  `String`
  `SECTION_NAME_FRAME()`
  Holds information about call frame activations
  `String`
  `SECTION_NAME_INFO()`
  Debugging information entries for DWARF v2
  `String`
  `SECTION_NAME_LINE()`
  Line Number Program
  `String`
  `SECTION_NAME_LOC()`
  Location lists are used in place of location expressions whenever the object whose location is being described can change location during its lifetime.
  `String`
  `SECTION_NAME_MACINFO()`
  A lookup table for global objects and functions
  `String`
  `SECTION_NAME_PUBNAMES()`
  A lookup table for global objects and functions
  `String`
  `SECTION_NAME_PUBTYPES()`
  A lookup table for global types
  `String`
  `SECTION_NAME_RANGES()`
  Address ranges referenced by DIEs
  `String`
  `SECTION_NAME_STR()`
  String table used by .debug_info

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DwarfSectionNames

    public DwarfSectionNames(Program program)
    Creates a new Dwarf Section Names for the specific program.
    Parameters:
      `program` - the program containing dwarf debug information.
    Throws:
      `IllegalArgumentException` - if the program's format is not handled.

- ## Method Details

  - ### SECTION_NAME_ABBREV

    public String SECTION_NAME_ABBREV()
    Holds tag, attribute names, and attribute forms encodings

  - ### SECTION_NAME_ARANGES

    public String SECTION_NAME_ARANGES()
    A mapping between memory address and compilation

  - ### SECTION_NAME_FRAME

    public String SECTION_NAME_FRAME()
    Holds information about call frame activations

  - ### SECTION_NAME_INFO

    public String SECTION_NAME_INFO()
    Debugging information entries for DWARF v2

  - ### SECTION_NAME_LINE

    public String SECTION_NAME_LINE()
    Line Number Program

  - ### SECTION_NAME_LOC

    public String SECTION_NAME_LOC()
    Location lists are used in place of location expressions whenever the object whose location is being described can change location during its lifetime. Location lists are contained in a separate object file section called .debug_loc. A location list is indicated by a location attribute whose value is represented as a constant offset from the beginning of the .debug_loc section to the first byte of the list for the object in question.

  - ### SECTION_NAME_MACINFO

    public String SECTION_NAME_MACINFO()
    A lookup table for global objects and functions

  - ### SECTION_NAME_PUBNAMES

    public String SECTION_NAME_PUBNAMES()
    A lookup table for global objects and functions

  - ### SECTION_NAME_PUBTYPES

    public String SECTION_NAME_PUBTYPES()
    A lookup table for global types

  - ### SECTION_NAME_RANGES

    public String SECTION_NAME_RANGES()
    Address ranges referenced by DIEs

  - ### SECTION_NAME_STR

    public String SECTION_NAME_STR()
    String table used by .debug_info